"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* Mappings for all supported controllers.
 * To add a new controller, add a new JSON file and update the `controllerConfigs` below.
 * https://html5gamepad.com/ can be helpful for getting the values.
 */
const n64_retrolink_1 = __importDefault(require("./n64-retrolink"));
const ps3_1 = __importDefault(require("./ps3"));
const ps4_1 = __importDefault(require("./ps4"));
const standard_1 = __importDefault(require("./standard"));
const xbox_1 = __importDefault(require("./xbox"));
const xbox_360_1 = __importDefault(require("./xbox-360"));
const controllerConfigs = [
    // These are ordered by popularity
    standard_1.default,
    ps4_1.default,
    xbox_1.default,
    ps3_1.default,
    xbox_360_1.default,
    n64_retrolink_1.default
];
function getGamepadConfig(gamepad) {
    if (gamepad.mapping === 'standard') {
        return standard_1.default;
    }
    else {
        return controllerConfigs.find((c) => gamepad.id === c.id) || null;
    }
}
exports.getGamepadConfig = getGamepadConfig;
//# sourceMappingURL=index.js.map